Connection failed since 1.9

Got a problem with Viscosity or need help? Ask here!

xverwaerde

Posts: 2
Joined: Thu Dec 31, 2020 6:54 pm

Post by xverwaerde » Thu Dec 31, 2020 7:12 pm
Hi,
I upgraded recently to 1.9 and I am not able to connect anymore.
On another workstation, I am still using v 1.8.5.1 and it woks as expected.
I also tried the last beta version, but the result is the same.

Here is the connection trace (some part in French):

déc. 31 9:07:12 : État changé en Connexion en cours
déc. 31 9:07:12 : Viscosity Windows 1.9.1 (1703) Beta7
déc. 31 9:07:12 : Exécution sur Windows 10 2004 (19041) 64 bit
déc. 31 9:07:12 : Exécution sur .NET Framework Version 4.8.04084.528372
déc. 31 9:07:12 : Checking reachability status of connection...
déc. 31 9:07:12 : Connection is reachable. Starting connection attempt.
déc. 31 9:07:12 : Mettre en place l’interface...
déc. 31 9:07:12 : There was a problem activing the interface, Viscosity will attempt to repair it. This process may take a minute or two.
déc. 31 9:07:12 : Please try the following if this problem persists: https://www.sparklabs.com/support/kb/ar ... s-windows/
déc. 31 9:07:12 : Options error: The command "tls-remote" or one of its parameters is invalid for this version of OpenVPN (2.4.10). Please edit the connection, make sure the command is valid, and try again.
déc. 31 9:07:12 : Full command: tls-remote VPN_Users
déc. 31 9:07:13 : The interface is now responding, proceeding with connection attempt.

OpenVPN n'a pas pu démarrer. Veuillez vérifier ces points:
- Tous messages au dessus de ce message.
- Assurez-vous que Viscosity ne fonctionne pas depuis un disque protégé par File Vault (Déplacez Viscosity dans le dossier Applications).
- Assurez-vous que la configuration est correcte. Vérifiez les paramètres de connexion en utilisant Viscosity et assurez-vous que tous les paramètres sont corrects.

déc. 31 9:07:14 : État changé en Déconnexion
déc. 31 9:07:14 : État changé en Déconnecté

Thank you by advance for your assistance,

Eric

User avatar
Posts: 1112
Joined: Sun Jan 03, 2010 3:27 am

Post by Eric » Mon Jan 04, 2021 9:26 am
Hi xverwaerde,

It looks like you are using OpenVPN 2.3 on Viscosity 1.8 which was removed in 1.9. Please see the following on how to migrate your configuration - https://sparklabs.com/support/kb/articl ... envpn-2-4/

Regards,
Eric
Eric Thorpe
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs

xverwaerde

Posts: 2
Joined: Thu Dec 31, 2020 6:54 pm

Post by xverwaerde » Mon Jan 04, 2021 8:20 pm
Thank you for your detailed answser.
Xavier
3 posts Page 1 of 1